import*as React from'react';import {Result,Button}from'antd';import {goBack,goHome}from'./utils.js';const Error500 = props => {
  const {
    error,
    history
  } = props;
  React.useEffect(() => {
    console.trace(error);
  }, [error]);
  return React.createElement(Result, {
    title: "500",
    status: "500",
    subTitle: `Sorry, the server is wrong. Error: ${error}`,
    extra: React.createElement(React.Fragment, null, React.createElement(Button, {
      type: "primary",
      onClick: () => goBack(history)
    }, "Back"), React.createElement(Button, {
      type: "primary",
      onClick: goHome
    }, "Home"))
  });
};export{Error500};//# sourceMappingURL=500.js.map
