import * as React from 'react';
export declare const enum IProjectSourceProviders {
    Github = "Github",
    Bitbucket = "Bitbucket",
    Gitlab = "Gitlab",
    Vsts = "Vsts",
    None = "None"
}
export interface GitServiceSelectorSlotProps {
    title: string;
}
interface IProps {
    provider: IProjectSourceProviders;
    active: boolean;
    form: any;
    fieldData: {
        name: number;
    };
    onSelect: (value: Record<string, any>) => void;
    onBranch: (value: Record<string, any>) => void;
}
export declare const GIT_SERVICE_SELECTOR_SLOT_FILL_NAME = "git-service-selector";
export declare const GitServiceSelectorSlot: (props: IProps) => React.JSX.Element;
export declare const GitServiceSelectorCard: ({ children, ...rest }: {
    [x: string]: any;
    children: any;
}) => React.JSX.Element;
export {};
