import React, { Dispatch, ReactElement } from 'react';
interface IAsanaSelectProject<T> {
    data: T[];
    selectedItem: T;
    setSelectedItem: Dispatch<T>;
    title: string;
    placeholder: string;
    loading?: boolean;
    fetchData: (obj?: any) => void;
    children?: ReactElement;
    identifier: string;
}
export declare function SelectCommon<T extends {
    name?: string;
}>(props: IAsanaSelectProject<T>): React.JSX.Element;
export {};
