import React__default,{useLayoutEffect,useCallback}from'react';import {Typography,Select,Spin}from'antd';function SelectCommon(props) {
  const {
    data,
    selectedItem,
    setSelectedItem,
    title,
    placeholder,
    loading,
    fetchData,
    children,
    identifier
  } = props;
  useLayoutEffect(() => {
    fetchData();
  }, []);
  const renderOptions = () => data.map((item, index) => {
    return React__default.createElement(Select.Option, {
      key: index,
      value: item[identifier]
    }, item.name);
  });
  const onChange = useCallback(value => {
    const val = data.find(p => p[identifier] === value);
    setSelectedItem(val);
  }, [data]);
  return React__default.createElement(React__default.Fragment, null, React__default.createElement(Typography.Title, {
    level: 4,
    style: {
      paddingBottom: '10px'
    }
  }, title), React__default.createElement(Select, {
    placeholder: placeholder,
    allowClear: true,
    showSearch: true,
    onChange: onChange,
    style: {
      width: 400
    },
    value: selectedItem?.name,
    notFoundContent: loading ? React__default.createElement(Spin, {
      size: "small"
    }) : null,
    loading: loading
  }, renderOptions()), children && children);
}export{SelectCommon};//# sourceMappingURL=SelectCommon.js.map
