import React, { Dispatch, ReactElement } from 'react';
interface ISelectMultiple<T> {
    data: T[];
    selectedItems: T[];
    setSelectedItem: Dispatch<T[]>;
    title: string;
    placeholder: string;
    loading?: boolean;
    fetchData: (obj?: any) => void;
    children?: ReactElement;
    identifier: string;
}
export declare function SelectMultiple<T>(props: ISelectMultiple<T>): React.JSX.Element;
export {};
