import * as React from 'react';
import { QueryResult } from '@apollo/client/index.js';
import { IOrgUser } from '@adminide-stack/core';
export interface IOrganizationMembersRenderProps extends Omit<QueryResult, 'data'> {
    members?: IOrgUser[];
}
export interface IOrganizationMembersSlotProps {
    orgName: string;
    render: (props: IOrganizationMembersRenderProps) => React.ReactElement;
}
export declare const ORGANIZATION_MEMBERS_SLOT_FILL_NAME = "organization-member-slot-fill";
export declare const OrganizationMembersSlot: (props: IOrganizationMembersSlotProps) => React.JSX.Element;
export declare const OrganizationMembersCard: (props: any) => React.JSX.Element;
