import*as React from'react';import {Row,Col,Button}from'antd';import {FaChevronLeft}from'@react-icons/all-files/fa/FaChevronLeft.js';import {IoHomeOutline}from'@react-icons/all-files/io5/IoHomeOutline.js';import {config}from'../../config/env-config.js';import img from'../../assets/images/robot.png.js';import {useDisplaySidebar}from'../../hooks/useDisplaySidebar.js';import'@remix-run/react';import {goBack,goHome}from'./utils.js';const Error404 = props => {
  const {
    showSidebar,
    history
  } = props;
  const [, setSidebarVisibility] = useDisplaySidebar(true);
  React.useLayoutEffect(() => {
    setSidebarVisibility(showSidebar);
  }, [showSidebar]);
  return React.createElement(Row, {
    align: "middle",
    style: {
      height: '100%',
      background: 'white'
    }
  }, React.createElement(Col, {
    lg: 10,
    offset: 5
  }, React.createElement(Row, null, React.createElement(Col, {
    lg: 24,
    xs: 24
  }, React.createElement("h2", {
    style: {
      fontSize: '32px',
      color: '#555'
    }
  }, React.createElement("i", {
    className: "fa fa-cubes",
    style: {
      fontSize: '70px',
      marginBottom: '0px'
    }
  }), React.createElement("span", {
    style: styles.branding()
  }, config.APP_NAME))), React.createElement(Col, {
    lg: 24,
    xs: 24,
    style: styles.columnSpacing()
  }, ' ', React.createElement("b", null, "404"), " That's an error", ' '), React.createElement(Col, {
    lg: 24,
    xs: 24,
    style: styles.columnSpacing()
  }, ' ', "The requested URL ", React.createElement("b", null, location.pathname), " was not found on this server.", ' '), React.createElement(Col, {
    lg: 24,
    xs: 24,
    style: styles.columnSpacing()
  }, React.createElement(Row, null, React.createElement(Col, {
    style: styles.btnCols
  }, React.createElement(Button, {
    type: "primary",
    shape: "round",
    icon: React.createElement(FaChevronLeft, {
      style: {
        fontSize: 'large'
      }
    }),
    size: "middle",
    onClick: () => goBack(history)
  }, "Go Back")), React.createElement(Col, {
    className: styles.btnCols()
  }, React.createElement(Button, {
    type: "primary",
    shape: "round",
    icon: React.createElement(IoHomeOutline, {
      style: {
        fontSize: 'large'
      }
    }),
    size: "middle",
    onClick: goHome
  }, "Go to Homepage")))))), React.createElement(Col, {
    lg: 9
  }, React.createElement("img", {
    src: img,
    style: {
      width: '250px'
    }
  })));
};
const styles = {
  columnSpacing: () => ({
    fontSize: '16px',
    fontFamily: 'sans-serif',
    color: 'black',
    padding: '3px'
  }),
  branding: () => ({
    fontFamily: 'sans-serif',
    color: '#30BB9E',
    letterSpacing: '-2px',
    fontWeight: 600,
    paddingLeft: '10px'
  }),
  btnCols: () => ({
    margin: '15px 10px 0px 0px'
  })
};export{Error404};//# sourceMappingURL=404.js.map
