const styles = {
  title: {
    textAlign: 'center'
  },
  icon: {
    padding: '15px 0',
    textAlign: 'center',
    '& .fab': {
      fontSize: '100px'
    }
  },
  cover: {
    display: 'block',
    marginLeft: 'auto',
    marginRight: 'auto',
    width: '30%'
  },
  integrationStatus: ({
    status
  }) => {
    const common = {
      border: '1px solid',
      padding: '1px 5px 1px 5px',
      borderRadius: '20px'
    };
    if (status === 'Linked') {
      return {
        ...common,
        borderColor: 'rgb( 50,205,50)',
        backgroundColor: 'rgb( 50,205,50)'
      };
    } else if (status === 'Not Connected') {
      return {
        ...common,
        borderColor: 'orange',
        backgroundColor: 'orange',
        padding: '2px 5px 2px 5px'
      };
    } else {
      return {
        ...common,
        borderColor: 'rgb(255,102,102)',
        backgroundColor: 'rgb(255,102,102)'
      };
    }
  },
  col: {
    flexGrow: 1,
    flexBasis: 0,
    '& .ant-row-center': {
      textAlign: 'center'
    }
  },
  card: {
    display: 'flex',
    flexDirection: 'column',
    height: '100%',
    '& .ant-card-actions': {
      marginTop: 'auto'
    }
  }
};export{styles};//# sourceMappingURL=styles.js.map
