import * as React from 'react';
import { IOrganization } from '@adminide-stack/core';
export declare const ORGANIZATION_LIST_SLOT_FILL_NAME = "organization-list-slot-fill";
export interface IOrganizationListSlotRenderOptions {
    loading: boolean;
    organizations: IOrganization[];
    changeOrg: (orgName: string) => void;
}
export interface IOrganizationListSlotProps {
    render: (props: IOrganizationListSlotRenderOptions) => React.ReactElement;
}
export declare const OrganizationListSlot: (props: IOrganizationListSlotProps) => React.JSX.Element;
export declare const OrganizationListCard: (props: any) => React.JSX.Element;
