import*as React from'react';import {useMemo}from'react';import {map}from'lodash-es';import {Popconfirm,Button,Dropdown,Menu}from'antd';import {FaChevronDown}from'@react-icons/all-files/fa/FaChevronDown.js';const Action = props => {
  const {
    name,
    action,
    wrapper,
    danger,
    message,
    ...rest
  } = props;
  const btn = danger ? React.createElement(Popconfirm, {
    placement: "topLeft",
    title: message,
    onConfirm: action,
    okText: "Yes",
    cancelText: "No"
  }, React.createElement(Button, {
    size: "small",
    ...rest,
    danger: danger
  }, name)) : React.createElement(Button, {
    size: "small",
    onClick: action,
    ...rest
  }, name);
  return wrapper ? wrapper(btn) : btn;
};
const menu = actions => React.createElement(Menu, null, map(actions, (action, key) => React.createElement(Menu.Item, {
  key: key
}, " ", React.createElement(Action, {
  key: key,
  ...action
}), " ")));
const TableActions = ({
  actions
}) => {
  const menuOverlay = useMemo(() => menu(actions), [actions]);
  const onClick = e => e.preventDefault();
  return React.createElement(Dropdown, {
    overlay: menuOverlay
  }, React.createElement("a", {
    className: 'ant-dropdown-link',
    onClick: onClick
  }, "Edit ", React.createElement(FaChevronDown, {
    style: {
      fontSize: 'large'
    }
  })));
};export{Action,TableActions};//# sourceMappingURL=TableActions.js.map
