import*as React from'react';import {map}from'lodash-es';import {Button}from'antd';const Action = props => {
  const {
    action,
    name,
    type,
    wrapper,
    ...rest
  } = props;
  const btn = React.createElement(Button, {
    size: "small",
    onClick: action,
    type: type,
    ...rest
  }, name);
  return wrapper ? wrapper(btn) : btn;
};
const TableActions = ({
  actions
}) => React.createElement("div", {
  style: styles.row
}, map(actions, (action, key) => React.createElement(Action, {
  key: key,
  ...action
})));
const styles = {
  row: {
    textAlign: 'right'
  }
};export{Action,TableActions};//# sourceMappingURL=TableActions.js.map
