import*as Apollo from'@apollo/client/index.js';const defaultOptions = {};
const DeclineOrganizationInvitationDocument = {
  "kind": "Document",
  "definitions": [{
    "kind": "OperationDefinition",
    "operation": "mutation",
    "name": {
      "kind": "Name",
      "value": "DeclineOrganizationInvitation"
    },
    "variableDefinitions": [{
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "id"
        }
      },
      "type": {
        "kind": "NonNullType",
        "type": {
          "kind": "NamedType",
          "name": {
            "kind": "Name",
            "value": "ID"
          }
        }
      }
    }],
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "declineOrganizationInvitation"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "id"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "id"
            }
          }
        }]
      }]
    }
  }]
};
/**
 * __useDeclineOrganizationInvitationMutation__
 *
 * To run a mutation, you first call `useDeclineOrganizationInvitationMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useDeclineOrganizationInvitationMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [declineOrganizationInvitationMutation, { data, loading, error }] = useDeclineOrganizationInvitationMutation({
 *   variables: {
 *      id: // value for 'id'
 *   },
 * });
 */
function useDeclineOrganizationInvitationMutation(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useMutation(DeclineOrganizationInvitationDocument, options);
}
const ResendOrganizationInvitationDocument = {
  "kind": "Document",
  "definitions": [{
    "kind": "OperationDefinition",
    "operation": "mutation",
    "name": {
      "kind": "Name",
      "value": "ResendOrganizationInvitation"
    },
    "variableDefinitions": [{
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "id"
        }
      },
      "type": {
        "kind": "NonNullType",
        "type": {
          "kind": "NamedType",
          "name": {
            "kind": "Name",
            "value": "ID"
          }
        }
      }
    }],
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "resendOrganizationInvitation"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "id"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "id"
            }
          }
        }]
      }]
    }
  }]
};
/**
 * __useResendOrganizationInvitationMutation__
 *
 * To run a mutation, you first call `useResendOrganizationInvitationMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useResendOrganizationInvitationMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [resendOrganizationInvitationMutation, { data, loading, error }] = useResendOrganizationInvitationMutation({
 *   variables: {
 *      id: // value for 'id'
 *   },
 * });
 */
function useResendOrganizationInvitationMutation(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useMutation(ResendOrganizationInvitationDocument, options);
}
const SendOrganizationInvitationDocument = {
  "kind": "Document",
  "definitions": [{
    "kind": "OperationDefinition",
    "operation": "mutation",
    "name": {
      "kind": "Name",
      "value": "sendOrganizationInvitation"
    },
    "variableDefinitions": [{
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "request"
        }
      },
      "type": {
        "kind": "NonNullType",
        "type": {
          "kind": "NamedType",
          "name": {
            "kind": "Name",
            "value": "OrganizationInvitationRequest"
          }
        }
      }
    }],
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "sendOrganizationInvitation"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "request"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "request"
            }
          }
        }]
      }]
    }
  }]
};
/**
 * __useSendOrganizationInvitationMutation__
 *
 * To run a mutation, you first call `useSendOrganizationInvitationMutation` within a React component and pass it any options that fit your needs.
 * When your component renders, `useSendOrganizationInvitationMutation` returns a tuple that includes:
 * - A mutate function that you can call at any time to execute the mutation
 * - An object with fields that represent the current status of the mutation's execution
 *
 * @param baseOptions options that will be passed into the mutation, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options-2;
 *
 * @example
 * const [sendOrganizationInvitationMutation, { data, loading, error }] = useSendOrganizationInvitationMutation({
 *   variables: {
 *      request: // value for 'request'
 *   },
 * });
 */
function useSendOrganizationInvitationMutation(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useMutation(SendOrganizationInvitationDocument, options);
}
const FilterIntegrationConfigurationDocument = {
  "kind": "Document",
  "definitions": [{
    "kind": "OperationDefinition",
    "operation": "query",
    "name": {
      "kind": "Name",
      "value": "FilterIntegrationConfiguration"
    },
    "variableDefinitions": [{
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "filter"
        }
      },
      "type": {
        "kind": "NonNullType",
        "type": {
          "kind": "NamedType",
          "name": {
            "kind": "Name",
            "value": "IntegrationConfigurationFilterInput"
          }
        }
      }
    }],
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "filterIntegrationConfiguration"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "filter"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "filter"
            }
          }
        }],
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "id"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "name"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "integrationName"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "status"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "updatedAt"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "integrationInfo"
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __useFilterIntegrationConfigurationQuery__
 *
 * To run a query within a React component, call `useFilterIntegrationConfigurationQuery` and pass it any options that fit your needs.
 * When your component renders, `useFilterIntegrationConfigurationQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useFilterIntegrationConfigurationQuery({
 *   variables: {
 *      filter: // value for 'filter'
 *   },
 * });
 */
function useFilterIntegrationConfigurationQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useQuery(FilterIntegrationConfigurationDocument, options);
}
function useFilterIntegrationConfigurationLazyQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useLazyQuery(FilterIntegrationConfigurationDocument, options);
}
function useFilterIntegrationConfigurationSuspenseQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useSuspenseQuery(FilterIntegrationConfigurationDocument, options);
}
const GetAccountsDocument = {
  "kind": "Document",
  "definitions": [{
    "kind": "OperationDefinition",
    "operation": "query",
    "name": {
      "kind": "Name",
      "value": "GetAccounts"
    },
    "variableDefinitions": [{
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "where"
        }
      },
      "type": {
        "kind": "NamedType",
        "name": {
          "kind": "Name",
          "value": "UserAccountWhere"
        }
      }
    }],
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "getAccounts"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "where"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "where"
            }
          }
        }],
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "username"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "email"
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __useGetAccountsQuery__
 *
 * To run a query within a React component, call `useGetAccountsQuery` and pass it any options that fit your needs.
 * When your component renders, `useGetAccountsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetAccountsQuery({
 *   variables: {
 *      where: // value for 'where'
 *   },
 * });
 */
function useGetAccountsQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useQuery(GetAccountsDocument, options);
}
function useGetAccountsLazyQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useLazyQuery(GetAccountsDocument, options);
}
function useGetAccountsSuspenseQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useSuspenseQuery(GetAccountsDocument, options);
}
const GetOrganizationTeamsDocument = {
  "kind": "Document",
  "definitions": [{
    "kind": "OperationDefinition",
    "operation": "query",
    "name": {
      "kind": "Name",
      "value": "getOrganizationTeams"
    },
    "variableDefinitions": [{
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "orgName"
        }
      },
      "type": {
        "kind": "NamedType",
        "name": {
          "kind": "Name",
          "value": "String"
        }
      }
    }],
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "getOrganizationTeams"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "orgName"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "orgName"
            }
          }
        }],
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "_id"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "name"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "title"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "tags"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "orgName"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "createdAt"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "updatedAt"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "description"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "settingsUri"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "teamMembers"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "id"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "name"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "status"
                }
              }]
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __useGetOrganizationTeamsQuery__
 *
 * To run a query within a React component, call `useGetOrganizationTeamsQuery` and pass it any options that fit your needs.
 * When your component renders, `useGetOrganizationTeamsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetOrganizationTeamsQuery({
 *   variables: {
 *      orgName: // value for 'orgName'
 *   },
 * });
 */
function useGetOrganizationTeamsQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useQuery(GetOrganizationTeamsDocument, options);
}
function useGetOrganizationTeamsLazyQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useLazyQuery(GetOrganizationTeamsDocument, options);
}
function useGetOrganizationTeamsSuspenseQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useSuspenseQuery(GetOrganizationTeamsDocument, options);
}
const GetTeamDocument = {
  "kind": "Document",
  "definitions": [{
    "kind": "OperationDefinition",
    "operation": "query",
    "name": {
      "kind": "Name",
      "value": "getTeam"
    },
    "variableDefinitions": [{
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "orgName"
        }
      },
      "type": {
        "kind": "NonNullType",
        "type": {
          "kind": "NamedType",
          "name": {
            "kind": "Name",
            "value": "String"
          }
        }
      }
    }, {
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "teamName"
        }
      },
      "type": {
        "kind": "NonNullType",
        "type": {
          "kind": "NamedType",
          "name": {
            "kind": "Name",
            "value": "String"
          }
        }
      }
    }],
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "getTeam"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "orgName"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "orgName"
            }
          }
        }, {
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "teamName"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "teamName"
            }
          }
        }],
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "id"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "name"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "tags"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "orgName"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "description"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "createdAt"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "updatedAt"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "settingsUri"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "teamMembers"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "id"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "email"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "userId"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "role"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "username"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "name"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "status"
                }
              }]
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __useGetTeamQuery__
 *
 * To run a query within a React component, call `useGetTeamQuery` and pass it any options that fit your needs.
 * When your component renders, `useGetTeamQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetTeamQuery({
 *   variables: {
 *      orgName: // value for 'orgName'
 *      teamName: // value for 'teamName'
 *   },
 * });
 */
function useGetTeamQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useQuery(GetTeamDocument, options);
}
function useGetTeamLazyQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useLazyQuery(GetTeamDocument, options);
}
function useGetTeamSuspenseQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useSuspenseQuery(GetTeamDocument, options);
}
const GetUserAccountDocument = {
  "kind": "Document",
  "definitions": [{
    "kind": "OperationDefinition",
    "operation": "query",
    "name": {
      "kind": "Name",
      "value": "GetUserAccount"
    },
    "variableDefinitions": [{
      "kind": "VariableDefinition",
      "variable": {
        "kind": "Variable",
        "name": {
          "kind": "Name",
          "value": "userId"
        }
      },
      "type": {
        "kind": "NonNullType",
        "type": {
          "kind": "NamedType",
          "name": {
            "kind": "Name",
            "value": "String"
          }
        }
      }
    }],
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "getUserAccount"
        },
        "arguments": [{
          "kind": "Argument",
          "name": {
            "kind": "Name",
            "value": "userId"
          },
          "value": {
            "kind": "Variable",
            "name": {
              "kind": "Name",
              "value": "userId"
            }
          }
        }],
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "id"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "email"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "username"
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __useGetUserAccountQuery__
 *
 * To run a query within a React component, call `useGetUserAccountQuery` and pass it any options that fit your needs.
 * When your component renders, `useGetUserAccountQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useGetUserAccountQuery({
 *   variables: {
 *      userId: // value for 'userId'
 *   },
 * });
 */
function useGetUserAccountQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useQuery(GetUserAccountDocument, options);
}
function useGetUserAccountLazyQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useLazyQuery(GetUserAccountDocument, options);
}
function useGetUserAccountSuspenseQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useSuspenseQuery(GetUserAccountDocument, options);
}
const TeamsDocument = {
  "kind": "Document",
  "definitions": [{
    "kind": "OperationDefinition",
    "operation": "query",
    "name": {
      "kind": "Name",
      "value": "Teams"
    },
    "selectionSet": {
      "kind": "SelectionSet",
      "selections": [{
        "kind": "Field",
        "name": {
          "kind": "Name",
          "value": "teams"
        },
        "selectionSet": {
          "kind": "SelectionSet",
          "selections": [{
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "_id"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "name"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "tags"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "orgName"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "createdAt"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "updatedAt"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "description"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "settingsUri"
            }
          }, {
            "kind": "Field",
            "name": {
              "kind": "Name",
              "value": "teamMembers"
            },
            "selectionSet": {
              "kind": "SelectionSet",
              "selections": [{
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "id"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "name"
                }
              }, {
                "kind": "Field",
                "name": {
                  "kind": "Name",
                  "value": "status"
                }
              }]
            }
          }]
        }
      }]
    }
  }]
};
/**
 * __useTeamsQuery__
 *
 * To run a query within a React component, call `useTeamsQuery` and pass it any options that fit your needs.
 * When your component renders, `useTeamsQuery` returns an object from Apollo Client that contains loading, error, and data properties
 * you can use to render your UI.
 *
 * @param baseOptions options that will be passed into the query, supported options are listed on: https://www.apollographql.com/docs/react/api/react-hooks/#options;
 *
 * @example
 * const { data, loading, error } = useTeamsQuery({
 *   variables: {
 *   },
 * });
 */
function useTeamsQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useQuery(TeamsDocument, options);
}
function useTeamsLazyQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useLazyQuery(TeamsDocument, options);
}
function useTeamsSuspenseQuery(baseOptions) {
  const options = {
    ...defaultOptions,
    ...baseOptions
  };
  return Apollo.useSuspenseQuery(TeamsDocument, options);
}export{DeclineOrganizationInvitationDocument,FilterIntegrationConfigurationDocument,GetAccountsDocument,GetOrganizationTeamsDocument,GetTeamDocument,GetUserAccountDocument,ResendOrganizationInvitationDocument,SendOrganizationInvitationDocument,TeamsDocument,useDeclineOrganizationInvitationMutation,useFilterIntegrationConfigurationLazyQuery,useFilterIntegrationConfigurationQuery,useFilterIntegrationConfigurationSuspenseQuery,useGetAccountsLazyQuery,useGetAccountsQuery,useGetAccountsSuspenseQuery,useGetOrganizationTeamsLazyQuery,useGetOrganizationTeamsQuery,useGetOrganizationTeamsSuspenseQuery,useGetTeamLazyQuery,useGetTeamQuery,useGetTeamSuspenseQuery,useGetUserAccountLazyQuery,useGetUserAccountQuery,useGetUserAccountSuspenseQuery,useResendOrganizationInvitationMutation,useSendOrganizationInvitationMutation,useTeamsLazyQuery,useTeamsQuery,useTeamsSuspenseQuery};//# sourceMappingURL=generated.js.map
